Bug 1024307 - Could not create more than one domain by oo-admin-ctl-domain even if user's max domains is more than one
Could not create more than one domain by oo-admin-ctl-domain even if user's ...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Pod (Show other bugs)
2.x
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Jordan Liggitt
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-29 07:20 EDT by chunchen
Modified: 2016-09-29 22:15 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-23 22:27:27 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description chunchen 2013-10-29 07:20:37 EDT
Description of problem:
Could  not create more than one domain by oo-admin-ctl-domain even if user's max domains is more than one

Version-Release number of selected component (if applicable):
devenv_3960

How reproducible:
always

Steps to Reproduce:
1. Setup user to instance and create a domain
rhc setup -l chunchen --server <instance>
2. SSH into the instance 
3. Set max domains for user
oo-admin-ctl-user -l chunchen --setmaxdomains 3
4. Create another domain for this user
oo-admin-ctl-domain -c create -l chunchen -n test1

Actual results:
A domain already exists for the user chunchen.  Please use the 'update' command instead.

Expected results:
Creating more than one domain by oo-admin-ctl-user should be successfully

Additional info:
It can create more than one domain by "rhc domain create <domain_name>"
Comment 1 Jordan Liggitt 2013-10-29 16:03:48 EDT
Will merge in https://github.com/openshift/origin-server/pull/4029
Comment 2 openshift-github-bot 2013-10-29 19:55:38 EDT
Commit pushed to master at https://github.com/openshift/origin-server

https://github.com/openshift/origin-server/commit/383273b422e3f0611c0f1a647bc90401af046484
Fix bug 1024307 - oo-admin-ctl-domain doesn't allow more than one domain
Comment 3 chunchen 2013-10-29 22:35:13 EDT
It's fixed, verified on devenv_3966, please refer to the following results:

$ rhc account
Login chunchen on ec2-54-242-27-167.compute-1.amazonaws.com
-----------------------------------------------------------
  ID:                 52706e4e4bdb8e098d000001
  Plan:               Free
  Gears Used:         0
  Gears Allowed:      3
  Domains Allowed:    3
  Allowed Gear Sizes: small
  SSL Certificates:   no

# oo-admin-ctl-domain -c create -l chunchen -n test1
Successfully created domain.
[root@ip-10-239-13-250 ~]# oo-admin-ctl-domain -c create -l chunchen -n test2
Successfully created domain.
[root@ip-10-239-13-250 ~]# oo-admin-ctl-domain -c create -l chunchen -n test3
The user chunchen cannot have more than 3 domains.  Please use the 'update' command instead.

# oo-admin-ctl-domain -l chunchen
RHLogin: chunchen
Namespace: ccy
SSH keys:
	default:
AAAAB3NzaC1yc2EAAAADAQABAAABAQDZuOO9sDhIoajPTY5/LDbT0ICQttmgr+ixVi6DnZWZ8uFQsmsAL1HLYKDLDAUx0Lm2aMw2eWkAXvHEVkq+zIkUG717xyBqiJSD7RyZXcD9IWTIoNRhjzGEDAoFvURioL/I9CvvjerWwltW6f37RkNGwi7JEmKaNLTst5R0MNqksxRGA3ZBCrJvmwuqJqfie5UySxaaq2Pri5oL7L/ToTO5j6tPsLiDm5KPFCUzjff5q+PfQaogSdAhmTAi9oy95RhuzFLXNvzUULiBIUrE4LwIJrcvj/E6yx17GLNj2In2+d3hsb8XCidMj4tS7jSzLA9qWwSYhKUQQww/AKic3wCn

Allowed gear sizes: small
Applications:
Namespace: test1
SSH keys:
	default:
AAAAB3NzaC1yc2EAAAADAQABAAABAQDZuOO9sDhIoajPTY5/LDbT0ICQttmgr+ixVi6DnZWZ8uFQsmsAL1HLYKDLDAUx0Lm2aMw2eWkAXvHEVkq+zIkUG717xyBqiJSD7RyZXcD9IWTIoNRhjzGEDAoFvURioL/I9CvvjerWwltW6f37RkNGwi7JEmKaNLTst5R0MNqksxRGA3ZBCrJvmwuqJqfie5UySxaaq2Pri5oL7L/ToTO5j6tPsLiDm5KPFCUzjff5q+PfQaogSdAhmTAi9oy95RhuzFLXNvzUULiBIUrE4LwIJrcvj/E6yx17GLNj2In2+d3hsb8XCidMj4tS7jSzLA9qWwSYhKUQQww/AKic3wCn

Allowed gear sizes: small
Applications:
Namespace: test2
SSH keys:
	default:
AAAAB3NzaC1yc2EAAAADAQABAAABAQDZuOO9sDhIoajPTY5/LDbT0ICQttmgr+ixVi6DnZWZ8uFQsmsAL1HLYKDLDAUx0Lm2aMw2eWkAXvHEVkq+zIkUG717xyBqiJSD7RyZXcD9IWTIoNRhjzGEDAoFvURioL/I9CvvjerWwltW6f37RkNGwi7JEmKaNLTst5R0MNqksxRGA3ZBCrJvmwuqJqfie5UySxaaq2Pri5oL7L/ToTO5j6tPsLiDm5KPFCUzjff5q+PfQaogSdAhmTAi9oy95RhuzFLXNvzUULiBIUrE4LwIJrcvj/E6yx17GLNj2In2+d3hsb8XCidMj4tS7jSzLA9qWwSYhKUQQww/AKic3wCn

Allowed gear sizes: small

Note You need to log in before you can comment on or make changes to this bug.